import React from "react";

export default function Headings({ align = "center", ...props }) {
  const top = `mt-${props.mt ? props.mt : 0}`;
  const bottom = `mb-${props.mb ? props.mb : 0}`;
  const left = `ml-${props.ml ? props.ml : 0}`;
  const right = `mr-${props.mr ? props.mr : 0}`;
  const classname = `${props.className ? props.className : 0}`;

  return (
    <div
      className={`black-text ${top} ${bottom} ${left} ${right} ${classname} `}
      style={{ ...props.style, ...{ textAlign: align } }}
    >
      <strong>{props.children}</strong>
    </div>
  );
}
