/* eslint-disable react/prop-types */
import React from "react";
import LaddaButton, { XL, SLIDE_UP } from "@zumper/react-ladda";

const SpinnerButton = ({
  color = "primary",
  label = "",
  loading = false,
  onClick = () => {},
  type = "button"
}) => {
  return (
    <LaddaButton
      type={type}
      color={color}
      loading={loading}
      onClick={onClick}
      style={SLIDE_UP}
      spinnerSize={30}
      spinnerColor="#ddd"
      spinnerLines={12}
    >
      {label}
    </LaddaButton>
  );
};

export default SpinnerButton;
