import {
    FETCH_PRODUCT_BLOBS_REQUEST,
    FETCH_PRODUCT_BLOBS_SUCCESS,
    FETCH_PRODUCT_BLOBS_FAILURE,
  } from "redux/types/masterSetup";

let initialstate =  {
	data: null,
	error: null,
	loading: false,
};


const productBlobList = (state = initialstate, action) => {

    switch (action.type) {
        case FETCH_PRODUCT_BLOBS_REQUEST:
            return {
                ...state,
                loading:true
            }
        case FETCH_PRODUCT_BLOBS_SUCCESS:
            return {
                loading:false,
                data:action.data?.data,
                error:''
            }
        case FETCH_PRODUCT_BLOBS_FAILURE:
            return {
                loading:false,
                data:[],
                error:action.data
            }
        default:
           return state

    }
}

export default productBlobList