/* eslint-disable no-case-declarations */
import {
  FETCH_ADD_IMAGE_REQUEST,
  FETCH_ADD_IMAGE_SUCCESS,
  FETCH_ADD_IMAGE_FAILURE,
} from "redux/types/media";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const addImage = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_ADD_IMAGE_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_ADD_IMAGE_SUCCESS:
      return {
        // ...state,
        loading: false,
        data: action.data?.data,
        error: "",
      };
    // case FETCH_ADD_IMAGE_SUCCESS:
    //   return {
    //     ...state,
    //     loading: false,
    //     data: [...state.data, action.data.data ? action.data.data : {}],
    //     error: "",
    //   };
    case FETCH_ADD_IMAGE_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default addImage;
