import { isValidArray } from "modules/utils";
import { FETCH_STORE_IMAGE_SUCCESS } from "redux/types/media";

let initialstate = {
  data: [],
  error: null,
  loading: false,
};

const storeImage = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_STORE_IMAGE_SUCCESS:
      return {
        loading: false,
        data: isValidArray(state.data)
          ? [...state.data, action.data]
          : [action.data],
        error: "",
      };
    default:
      return state;
  }
};

export default storeImage;
