import React from "react";
import { ErrorMessage } from "formik";
import {Input, Label } from "reactstrap"

const InputNormal = ({id="", className="", name="", type="text", label = "", placeholder = "", isLabelRequired=false, onChange, value}) => {

  return(
      <>
        {isLabelRequired == true ? <Label for={name}>{label}</Label> : ''}
        <Input className={className} type={type} name={name} id={id} placeholder={placeholder} onChange={(e) => onChange(e.target.value)} value={value} />
      </>
  );
};

export default InputNormal;
