import React from "react";
import { Button, Label, Modal, ModalBody, ModalHeader } from "reactstrap";
import InputField from "../InputField";

function DeleteModal({ toggle, isOpen, deleteFunction }) {
  return (
    <div>
      <Modal
        className="conformation-popup manageOranization-model"
        isOpen={isOpen}
        toggle={() => toggle()}
        size={"lg"}
      >
        <ModalHeader toggle={() => toggle()}>Delete</ModalHeader>
        <ModalBody>
          <div className="model-label-input imagesize-delete-model ">
            <div className="row align-center">
              <div className="col-4">
                <Label>Do you want to delete ?</Label>
              </div>
              {/* <div className="col-8">
                  <InputField
                    type="text"
                    name="userEmail"
                    placeholder="User email"
                    onChange={setInviteUser}
                    value={inviteUser}
                  />
                </div> */}
            </div>
          </div>
          <div className="model-bottom-btn-section">
            <Button color="primary save-btn confirm-y" onClick={deleteFunction}>
              {" "}
              Yes
            </Button>
            <Button
              color="primary cancel-btn confirm-n"
              onClick={() => toggle()}
            >
              {" "}
              No
            </Button>
          </div>
        </ModalBody>
      </Modal>
    </div>
  );
}

export default DeleteModal;
