import { isValidArray } from "modules/utils";
import React from "react";
import SidebarList from "./SidebarList";

const SidebarUL = ({
  data,
  setCatalogId,
  setCategoryId,
  setIsRoot,
  setParentId,
  catalogId,
}) => {
  return (
    <>
      <ul className="catalog-body-childcontain">
        {isValidArray(data?.children) &&
          data?.children.map((k, l) => {
            return (
              <SidebarList
                data={k}
                key={`${k?.id}-${k?.text}`}
                setCatalogId={setCatalogId}
                setIsRoot={setIsRoot}
                setParentId={setParentId}
                catalogId={catalogId}
              />
            );
          })}
      </ul>
    </>
  );
};

export default SidebarUL;
