import React from "react";
import {
  Button,
  Label,
  Modal,
  ModalBody,
  ModalFooter,
  ModalHeader,
} from "reactstrap";

function ShowImageModal({ toggle, isOpen, imagesPath }) {
  return (
    <div>
      <Modal
        className="conformation-popup imagedisplay-model"
        isOpen={isOpen}
        toggle={() => toggle()}
        size={"lg"}
      >
        <ModalHeader toggle={() => toggle()}>Image</ModalHeader>
        <ModalBody>
          <div className="model-label-input imagesize-delete-model ">
            {/* <div className="row text-align-center"> */}
            {/* <div className=""> */}
            <img src={imagesPath} width={300} />
            {/* </div> */}
            {/* </div> */}
          </div>
        </ModalBody>
        <ModalFooter>
          <button
            type="button"
            className="btn btn-secondary"
            onClick={() => toggle()}
            data-dismiss="modal"
          >
            Close
          </button>
        </ModalFooter>
      </Modal>
    </div>
  );
}

export default ShowImageModal;
