import React from "react";
import { Button, Label, Modal, ModalBody, ModalHeader } from "reactstrap";

function UnLinkModal({ toggle, isOpen, unLinkFunction, modalText = "" }) {
  return (
    <div>
      <Modal
        className="conformation-popup"
        isOpen={isOpen}
        toggle={() => toggle()}
        size={"sm"}
      >
        
        <ModalBody>
          <div className="model-label-input">
            <div className="row align-center">
              <div className="col-12">
                <Label>{modalText}</Label>
              </div>
            </div>
          </div>
          <div className="model-bottom-btn-section">
            <Button color="primary save-btn confirm-y" onClick={unLinkFunction}>
              {" "}
              Yes
            </Button>
            <Button
              color="primary cancel-btn confirm-n"
              onClick={() => toggle()}
            >
              {" "}
              No
            </Button>
          </div>
        </ModalBody>
      </Modal>
    </div>
  );
}

export default UnLinkModal;
