import React from "react";
import { Button, Label, Modal, ModalBody, ModalHeader } from "reactstrap";

function ConfirmationModal({ toggle, isOpen, handleConfirm, titleText }) {
  return (
    <div>
      <Modal
        className="conformation-popup manageOranization-model"
        isOpen={isOpen}
        toggle={() => toggle()}
        size={"md"}
      >
        <ModalHeader toggle={() => toggle()}>Delete</ModalHeader>
        <ModalBody>
          <div className="model-label-input imagesize-delete-model ">
            <div className="row align-center display-flex">
              <Label>Are you sure you want to delete this Schema ? </Label>
            </div>
          </div>
          <div className="model-bottom-btn-section">
            <Button color="primary save-btn confirm-y" onClick={handleConfirm}>
              {" "}
              Yes
            </Button>
            <Button
              color="primary cancel-btn confirm-n"
              onClick={() => toggle()}
            >
              {" "}
              No
            </Button>
          </div>
        </ModalBody>
      </Modal>
    </div>
  );
}

export default ConfirmationModal;
