import {
    FETCH_GET_TEXT_BLOCK_LIST_FOR_SCHEMA_BY_ID_REQUEST,
    FETCH_GET_TEXT_BLOCK_LIST_FOR_SCHEMA_BY_ID_SUCCESS,
    FETCH_GET_TEXT_BLOCK_LIST_FOR_SCHEMA_BY_ID_FAILURE,
  } from "redux/types/masterSetup";
  
  let initialstate = {
    data: null,
    error: null,
    loading: false,
  };
  
  const getTextBlockListForSchemaReducer = (state = initialstate, action) => {
    switch (action.type) {
      case FETCH_GET_TEXT_BLOCK_LIST_FOR_SCHEMA_BY_ID_REQUEST:
        return {
          ...state,
          loading: true,
        };
      case FETCH_GET_TEXT_BLOCK_LIST_FOR_SCHEMA_BY_ID_SUCCESS:
        return {
          loading: false,
          data: action.data?.data,
          error: "",
        };
      case FETCH_GET_TEXT_BLOCK_LIST_FOR_SCHEMA_BY_ID_FAILURE:
        return {
          loading: false,
          data: [],
          error: action.data,
        };
      default:
        return state;
    }
  };
  
  export default getTextBlockListForSchemaReducer;
  